summaryrefslogtreecommitdiff
path: root/tests/chgrp
diff options
context:
space:
mode:
authorPaul Eggert <eggert@cs.ucla.edu>2006-09-18 16:11:00 +0000
committerPaul Eggert <eggert@cs.ucla.edu>2006-09-18 16:11:00 +0000
commit5a73ad8c6345a1ea096867539461ba949e5491d3 (patch)
tree5140032710a9e2dae6621f8db061f1e76c50737d /tests/chgrp
parentc9c0dc7bc634d7ba917c632bddc44f903fc4dbd7 (diff)
downloadcoreutils-5a73ad8c6345a1ea096867539461ba949e5491d3.tar.xz
Fix bug in test case exposed by building on
Solaris 8 in a setgid directory. The test case incorrectly assumed that 'symlink' would be in group $g1.
Diffstat (limited to 'tests/chgrp')
-rwxr-xr-xtests/chgrp/basic5
1 files changed, 2 insertions, 3 deletions
diff --git a/tests/chgrp/basic b/tests/chgrp/basic
index f83f3a185..5cb8da82f 100755
--- a/tests/chgrp/basic
+++ b/tests/chgrp/basic
@@ -73,11 +73,10 @@ chgrp $g2 d ||fail=1; test `stat --p=%g: $d_files` = "$g2:$g1:" || fail=1
rm -f f
touch f
ln -s f symlink
-chgrp $g1 f; test `stat --printf=%g f` = $g1 || fail=1
+chgrp $g1 f
+test `stat --printf=%g f` = $g1 || fail=1
# This should not change the group of f.
-test `stat --printf=%g f` = $g1 || fail=1
-test `stat --printf=%g symlink` = $g1 || fail=1
chgrp -h $g2 symlink
test `stat --printf=%g f` = $g1 || fail=1
test `stat --printf=%g symlink` = $g2 || fail=1